<?php

add_action('init','of_options');

if (!function_exists('of_options')) {
function of_options(){

//Theme Shortname
$shortname = "Wedding";


//Populate the options array
global $tt_options;
$tt_options = get_option('of_options');


//Access the WordPress Pages via an Array
$tt_pages = array();
$tt_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($tt_pages_obj as $tt_page) {
$tt_pages[$tt_page->ID] = $tt_page->post_name; }
$tt_pages_tmp = array_unshift($tt_pages, "Select a page:"); 


//Access the WordPress Categories via an Array
$tt_categories = array();  
$tt_categories_obj = get_categories('hide_empty=0');
foreach ($tt_categories_obj as $tt_cat) {
$tt_categories[$tt_cat->cat_ID] = $tt_cat->cat_name;}
$categories_tmp = array_unshift($tt_categories, "Выберите категорию:");


//Sample Array for demo purposes
$sample_array = array("1","2","3","4","5");


//Sample Advanced Array - The actual value differs from what the user sees
$sample_advanced_array = array("image" => "The Image","post" => "The Post"); 


//Folder Paths for "type" => "images"

$logourl =  get_template_directory_uri() . '/images/logo.png';
$faviconurl =  get_template_directory_uri() . '/images/favicon.png';


       

$bl1 =  get_template_directory_uri() . '/images/ukrasheniya_slider3.png';      
$bl2 =  get_template_directory_uri() . '/images/55555.png';  
$bl3 =  get_template_directory_uri() . '/images/3333.png';  
      
 

  
 
 

/*-----------------------------------------------------------------------------------*/
/* Create The Custom Site Options Panel
/*-----------------------------------------------------------------------------------*/
$options = array(); // do not delete this line - sky will fall


			
			
	/* Option Page 3 - foter */
$options[] = array( "name" => __('Главная страница','framework_localize'),
			"sicon" => "glyphicons_019_cogwheel.png",					 
			"type" => "heading");
			
			
		$options[] = array( "name" => __('Логотип','framework_localize'),
			"desc" => __(' максимальный размер логотипа 434 на 128px','framework_localize'),
			"id" => $shortname."_Logotip_sitelogo",
			"std" => "$logourl",
			"type" => "upload");

$options[] = array( "name" => __('Иконка Favicon','framework_localize'),
			"desc" => __('Загрузите favicon иконку,размером 16px x 16px ','framework_localize'),
			"id" => $shortname."_favicon",
			"std" => "$faviconurl",
			"type" => "upload");			
			
			




$options[] = array( "name" => __('Текст приветствия','framework_localize'),
			"desc" => "Текст приветствия",
			"id" => $shortname."_welcome2",
			"std" => "Мы воплощаем мечты об идеальной свадьбе!",
			"type" => "textarea");





$options[] = array( "name" => __('Картинка первого блока','framework_localize'),
			"desc" =>  "Картинка первого блока",
			"id" => $shortname."_homb",
			"std" => "$bl1",
			"type" => "upload");
			
			
			$options[] = array( "name" => __('Текст описания первого блока','framework_localize'),
			"desc" => "Текст описания первого блока",
			"id" => $shortname."_welcome",
			"std" => "Несомненно, свадебный кортеж - важная деталь Вашей свадьбы. Автомобильная прогулка воспринимается как неотъемлемая часть свадебной церемонии. Вы  делитесь своим счастьем не только с гостями, но и со всем городом. Красота, комфорт и престижность автомобиля создают ощущение праздничной феерии, катание развлекает, добавляет шика и создает особое настроение. 
Ваше прибытие к месту свадьбы должно выглядеть впечатляюще и эффектно. ",
			"type" => "textarea");

			


$options[] = array( "name" => __('Текст на кнопке первого блока','framework_localize'),
			"desc" => "Текст на кнопке первого блока",
			"id" => $shortname."_linktitle",
			"std" => "Заказать свадебный кортеж",
			"type" => "text");


$options[] = array( "name" => __('URL кнопки первого блока','framework_localize'),
			"desc" => "URL кнпки первого блока",
			"id" => $shortname."_link1",
			"std" => "",
			"type" => "text");













$options[] = array( "name" => __('Картинка второго блока','framework_localize'),
			"desc" =>  "Картинка второго блока",
			"id" => $shortname."_homb2",
			"std" => "$bl2",
			"type" => "upload");



$options[] = array( "name" => __('Текст описания второго блока','framework_localize'),
			"desc" => "Текст описания второго блока",
			"id" => $shortname."_welcome3",
			"std" => "Свадебные кольца – это неизменный атрибут бракосочетания. Надо сказать, что на законодательном уровне использование колец никак не регулируется. Расписаться в загсе и стать мужем и женой вполне можно, не обмениваясь кольцами. Но священной традиции носить свадебные кольца придерживаются уже многие века. А потому, вряд ли можно найти супружескую пару, которая проигнорировала бы обряд обмена кольцами.  ",
			"type" => "textarea");



$options[] = array( "name" => __('Текст на кнопке второго блока','framework_localize'),
			"desc" => "Текст на кнопке второго блока",
			"id" => $shortname."_linktitle2",
			"std" => "Заказать кольца",
			"type" => "text");


$options[] = array( "name" => __('URL кнопки второго блока','framework_localize'),
			"desc" => "URL кнопке второго блока",
			"id" => $shortname."_link2",
			"std" => "",
			"type" => "text");










$options[] = array( "name" => __('Картинка третьего блока','framework_localize'),
			"desc" =>  "Картинка третьего блока",
			"id" => $shortname."_homb3",
			"std" => "$bl3",
			"type" => "upload");


$options[] = array( "name" => __('Текст описания третьего блока','framework_localize'),
			"desc" => "Текст описания третьего блока",
			"id" => $shortname."_welcome4",
			"std" => "Дорогие молодожены! Свадебный торт является одним из важнейших элементов свадьбы и одним из главных ее украшений! Свадебные торты могут быть любого размера и любого дизайна, могут быть многоярусными и фигурными, но при этом они будут в любом случае изготовлены специально для вас и с вашими пожеланиями и главное будут сделаны из самых качественных и натуральных ингридиентов.",
			"type" => "textarea");


$options[] = array( "name" => __('Текст на кнопке третьего блока','framework_localize'),
			"desc" => "Текст на кнопке третьего блока",
			"id" => $shortname."_linktitle3",
			"std" => "Заказать свадебный торт",
			"type" => "text");


$options[] = array( "name" => __('URL кнопки третьего блока','framework_localize'),
			"desc" => "URL кнопки третьего блока",
			"id" => $shortname."_link3",
			"std" => "",
			"type" => "text");






/* Option Page 3 - Metta */
$options[] = array( "name" => __('Мета','framework_localize'),
			"sicon" => "glyphicons_066_tags.png",					 
			"type" => "heading");





$options[] = array( "name" => __('Проверочный метта тег Яндекса','framework_localize'),
			"desc" => "Проверочный метта тег Яндекса",
			"id" => $shortname."_yandex_tag",
			"std" => "",
			"type" => "textarea");

$options[] = array( "name" => __('Проверочный метта тег google','framework_localize'),
			"desc" => "Проверочный метта тег google",
			"id" => $shortname."_google_tag",
			"std" => "",
			"type" => "textarea");

			
$options[] = array( "name" => __('Ключевые слова (keywords)','framework_localize'),
			"desc" => "Вводите слова через запятую.",
			"id" => $shortname."_keywords",
			"std" => "",
			"type" => "textarea");


$options[] = array( "name" => __('Описание (description)','framework_localize'),
			"desc" => "Описание (description)",
			"id" => $shortname."_description",
			"std" => "",
			"type" => "textarea");




/* Option Page 3 - foter */
$options[] = array( "name" => __('Футер','framework_localize'),
			"sicon" => "glyphicons_030_pencil.png",					 
			"type" => "heading");







$options[] = array( "name" => __('Копирайт текст','framework_localize'),
			"desc" => "Пропишите текст копирайта!",
			"id" => $shortname."_foter_text",
			"std" => "",
			"type" => "textarea");









/* Option Page 3 - foter */
$options[] = array( "name" => __('Статистика','framework_localize'),
			"sicon" => "glyphicons_042_pie_chart.png",							 
			"type" => "heading");




$options[] = array( "name" => __('Код Google Analytics','framework_localize'),
			"desc" => "Код Google Analytics",
			"id" => $shortname."_Analytics",
			"std" => "",
			"type" => "textarea");







update_option('of_template',$options); 					  
update_option('of_themename',$themename);   
update_option('of_shortname',$shortname);

}
}
?>